
TYPO3.Flow - Feature # 29564

Status: Closed Priority: Should have
Author: Andreas Keßler Category: Property
Created: 2011-09-08 Assigned To: Bastian Waidelich
Updated: 2012-01-30 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Change \TYPO3\FLOW3\Property\TypeConverter\DateTimeConverter in order to compose a DateTime 

property from two input fields
Description

It should be able to set one \DateTime property from two inputs

<input type="text" name="event[date][date]" value="{event.date -> f:format.date(format:'d.m.Y')}" />
<input type="text" name="event[date][time]" value="{event.date -> f:format.date(format:'H:i')}"/>
<f:form.hidden name="event[date][dateFormat]" value="d.m.Y H:i" />

The changes could be made in \TYPO3\FLOW3\Property\TypeConverter\DateTimeConverter:121 and could look like this

$time = "";

if(isset($source['time']) && is_string($source['time'])) {
    $time = " ".$source['time'];
}

$dateAsString = $source['date'].$time; // original line 121

Related issues:
duplicates TYPO3.Flow - Feature # 27417: DateTime conversion support Resolved 2011-06-14

History
#1 - 2011-09-09 21:48 - Karsten Dambekalns
- Tracker changed from Suggestion to Feature

#2 - 2011-09-09 21:49 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#3 - 2011-09-09 21:49 - Karsten Dambekalns
- Category set to Property

#4 - 2012-01-30 13:28 - Bastian Waidelich
- Status changed from New to Closed
- Assigned To set to Bastian Waidelich
- Has patch set to No

This was already implemented with #27417 (in changeset commit:f8f3fc23121f5959203903cb672e987b4aca57b0)
